/* std.c - compensate for a few missing library functions.
   In the Public Domain; written by Mike Haertel. */

#include "std.h"
#include "unix.h"

#ifdef X_strerror
#if defined(unix) || defined(__unix__)
char *
DEFUN(strerror, (errnum), int errnum)
{
  extern int sys_nerr;
  extern char *sys_errlist[];

  if (errnum > 0 && errnum < sys_nerr)
    return sys_errlist[errnum];
  return "";
}
#endif /* unix */
#endif /* X_strerror */
